* {
    margin: 0;
    padding: 0;
    box-sizing: border-box; 
}
body {
    background: linear-gradient(1000deg, #efef50 20%,#f7c049 90%);
}
.main-div {
    width: 100%;
    margin-top: 5%;
    display: flex;
    justify-content: center;
    align-items: center;
}
.weather-frame {
    background-color: rgb(123, 182, 235);
    background-repeat: no-repeat;
    background-size: 300px 275px;
    border: 2px solid #000;
    border-radius: 7px;
    padding: 8px;
}

/* search field */
.search {
    display: flex;
    margin: 4px 0px;
}
.search input{
    font-size: 14px;
    border: none;
    outline: none;
    width: 15rem;
    padding: 7px 12px;
    border-radius: 10px 0px 0px 10px;
    background-color: none;
}
.search i {
    position: relative;
    background-color: white;
    padding: 7.2px;
    border-radius: 0px 10px 10px 0px;
    color: #267bc5;
    cursor: pointer;
}

/* content */ 
.content-1 {
    font-family: 'Courier New', Courier, monospace;
    margin: 15px 5px;
}
.mr-3 {
    margin: 5px 0px;
}

.content-2{
    margin: 10px 20px;
    display: flex;
    justify-content: space-between;
}
#centigradeSign {
    font-size: 18px;
    margin-left: 3px;
    margin-top: 20px;
}
.temp {
    font-family: 'Courier New', Courier, monospace;
}
.temp h1 {
    font-size: 40px;
}
.feelTemp, .winds, .humidity, .weather {
    display: flex;
    justify-content: space-between;
    background-color: rgb(13, 13, 13);
    border-radius: 7px;
    padding: 5px 25px;
    margin: 25px 5px 15px 5px;
    font-family:'Times New Roman', Times, serif;
    font-size: 15px;
    letter-spacing: 1px;
    font-weight: 700;
    color: aliceblue;
}
#tempPara{
    margin: 3px;
}
#centigrade1 {
    font-size: 10px;
}
#windsPara,  #humidityPara, #weatherPara{
    margin: 8px 3px 3px 3px;
}
#centigradeSign1{
    font-size: 10px;
}










/* @media screen and (max-width: 1024px) {
    .weather-frame {
        width: auto;
    }
  } */